These docs are for v2.3. Click to read the latest docs for v3.0.

Gets information about desired direct debit

Sample Request:
GET /api/v2.0/accounts/ALB03-RA/directdebits/B89E9C5A-74EF-438F-8303-AAB2A724F517

Sample Response:
{
  "id": "B89E9C5A-74EF-438F-8303-AAB2A724F517",
  "bankAccountDetails": {
     "name": "MR A SMITH",
     "accountNumber": 12312312,
     "formattedSortCode": "12-12-12",
  },
  "directDebitAmount": 4000.00,
  "accountReference": "ALB03-RA",
  "directDebitType": 0, *See below for meanings
  "directDebitCycle": 0, *See below for meanings
  "directDebitStatus": 0, *See below for meanings
}

Direct Debit Types

0 = Cancelled
1 = New Instruction
2 = First Collection
3 = Regular Collection
4 = Represented Collection
5 = Final Collection

Direct Debit Status

0 = Scheduled
1 = Completed
2 = Cancelled

Direct Debit Cycle
            
null - This state is only for non planned direct debits
0 = Weekly
1 = BiWeekly
2 = FourWeekly
3 = Monthly
4 = Quarterly
5 = Annually
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
uuid
required
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json